
    // by sshcron/reload.cc
inline char const *Options::arg(size_t idx) const
{
    return d_arg[idx];
}

    // by daemon/basename.cc, daemon/idmsg.cc, crondata/addcroncommand.cc, 
    //    crondata/setenvvar.cc, options/options1.cc
inline std::string const &Options::basename() const
{   
    return d_arg.basename();
}

    // by daemon/run.cc
inline bool Options::cronCmd() const
{   
    return d_list || d_terminate || d_reload;
}

inline std::string const &Options::cronFile() const
{
    return d_cronFile;
}

    // by daemon/childprocess.cc, cron/parentprocess.cc
inline bool Options::daemon() const
{   
    return not d_foreground;
}

// static
inline char const *Options::defaultAgent()
{
    return s_defaultAgent;
}

// static
inline char const *Options::defaultConfigFile()
{
    return s_defaultConfigFile;
}

// static
inline char const *Options::defaultMailer()
{
    return s_defaultMailer;
}

// static
inline char const *Options::defaultSyslogIdent() 
{
    return s_defaultSyslogIdent;
}

// static
inline FBB::Facility Options::defaultSyslogFacility()
{
    return s_defaultSyslogFacility;
}

// static
inline FBB::Priority Options::defaultSyslogPriority()
{
    return s_defaultSyslogPriority;
}

// static
inline char const *Options::defaultUDS()
{
    return s_defaultUDS;
}

    // by daemon.run.cc
inline bool Options::foreground() const
{   
    return d_foreground;
}

    // by cron/definerunfunction.cc
inline std::string const &Options::mailer() const
{   
    return d_mailer;
}

    // by X
inline std::ostream &Options::msg()
{
    return d_msg;
}

    // by daemon/daemon1.cc
inline size_t Options::nArgs() const
{
    return d_arg.nArgs();
}
 
    // by crondata/crondata1.cc
inline bool Options::reload() const
{   
    return d_reload;
}

    // by sshcron/tocron.cc
inline Options::Req Options::request() const
{   
    return d_udsReq;
}

    // by sshcron/tocron.cc cron/
inline std::string const &Options::uds() const
{   
    return d_uds;
}

